const { HotModuleReplacementPlugin } = require('webpack')
const DllBundle = require('../devpacks/web.benzinga-react.dll')
const DllPlugins = Object.keys(DllBundle).map(key => DllBundle[key].consumer)
const html = require('../utils/static-html')

module.exports = function DevConfig(baseConfig = {}) {
  /*
  const staticLocals = baseConfig.staticLocals || {}
  delete(baseConfig.staticLocals)
  */

  baseConfig.output = {
    ...baseConfig.output,
    // we don't use hashes in the filename in development for better performance
    filename: '[name].js',
    chunkFilename: '[name].chunk.js',
  }

  baseConfig.entry = {
    app: [
      'webpack-hot-middleware/client',
      './src/init.jsx',
    ],
  }

  baseConfig.plugins = baseConfig.plugins.concat(DllPlugins)

  baseConfig.plugins = baseConfig.plugins.concat([
    new HotModuleReplacementPlugin(),
    html.basePlugin({ filename: 'index.html' }),
  ])

  return baseConfig
}
