import store from '../store';

export function saveTutorials() {
  const tutorials = store.getState().tutorials.toJS();
  localStorage.tutorials = JSON.stringify(tutorials);
}

export const START_TUTORIAL = 'START_TUTORIAL';
export function startTutorial(subject, tutorials) {
  store.dispatch({
    type: START_TUTORIAL,
    subject,
    tutorials
  });
}

export const SKIP_TUTORIAL = 'SKIP_TUTORIAL';
export function skipTutorial(subject, tutorials) {
  store.dispatch({
    type: SKIP_TUTORIAL,
    subject,
    tutorials
  });
  saveTutorials();
}

export const RESET_TUTORIAL = 'RESET_TUTORIAL';
export function resetTutorial(subject, tutorials) {
  store.dispatch({
    type: RESET_TUTORIAL,
    subject,
    tutorials
  });
  saveTutorials();
}

export const COMPLETE_TUTORIAL = 'COMPLETE_TUTORIAL';
export function completeTutorial(subject, tutorials) {
  store.dispatch({
    type: COMPLETE_TUTORIAL,
    subject,
    tutorials
  });
  saveTutorials();
}

export const LOAD_TUTORIALS = 'LOAD_TUTORIALS';
export function loadTutorials() {
  if (localStorage.tutorials) {
    store.dispatch({
      type: LOAD_TUTORIALS,
      tutorials: JSON.parse(localStorage.tutorials)
    });
  }
}

