import React from 'react';
import MainTutorial from './MainTutorial';
import NewsfeedTutorial from './NewsfeedTutorial';
import WatchlistTutorial from './WatchlistTutorial';
import SecurityTutorial from './SecurityTutorial';
import CalendarTutorial from './CalendarTutorial';
import Immutable from 'immutable';

export default class Tutorials extends React.Component {
  constructor(props) {
    super(props);
  }
  currentTutorial() {
    const { activeTutorial, tutorials } = this.props;
    function checkTutorial(name) {
      return activeTutorial.has(name) && !activeTutorial.getIn([name, 'completed']);
    }
    if (checkTutorial('main')) return (<MainTutorial tutorials={tutorials} />);
    if (checkTutorial('newsfeed')) return (<NewsfeedTutorial tutorials={tutorials} />);
    if (checkTutorial('watchlist')) return (<WatchlistTutorial tutorials={tutorials} />);
    if (checkTutorial('security')) return (<SecurityTutorial tutorials={tutorials} />);
    if (checkTutorial('calendar')) return (<CalendarTutorial tutorials={tutorials} />);
    return null;
  }
  render() {
    return (
      <div>
        {this.currentTutorial()}
      </div>
    );
  }

}

Tutorials.propTypes = {
  tutorials: React.PropTypes.object,
  activeTutorial: React.PropTypes.object
};
