import React from 'react';
import classnames from 'classnames';

export const Tab = ({badge, index, selected, label, handleTabClick}) => {
  return (
    <button className={classnames('Tab', {'is-selected': selected})}
            onClick={() => handleTabClick(index)}>
      {label} {badge}
    </button>
  );
};

Tab.propTypes = {
  badge: React.PropTypes.node,
  index: React.PropTypes.any,
  selected: React.PropTypes.bool,
  label: React.PropTypes.node,
  handleTabClick: React.PropTypes.func
};

export default Tab;
