import React from 'react';
import classnames from 'classnames';

class ToggleSwitch extends React.Component {
  render() {
    const baseClass = 'toggle-switch';
    return (
      <div
        className={classnames(baseClass, {[baseClass + '-on']: this.props.value}, {[baseClass + '-off']: !this.props.value})}
        onClick={() => this.props.onToggle()}
      />
    );
  }
}

ToggleSwitch.propTypes = {
  value: React.PropTypes.bool,
  onToggle: React.PropTypes.func
};

export default ToggleSwitch;
