import React from 'react';
import generateEntityId from 'utils/entities';

import Feed from '../feed/Feed';
import Tabs from 'components/ui/Tabs';
import Tab from 'components/ui/Tab';

class SecurityContentNews extends React.Component {
  constructor() {
    super();
    this.entityId = generateEntityId();
  }

  render() {
    const { symbol } = this.props;
    return (
      <div className="SecurityContent SecurityContentNews">
        <section className="SecurityFeed">
          <Tabs>
            <Tab label="All">
              <Feed filters={{keywords: [], symbols: [symbol], channels: [], contentType: []}} />
            </Tab>
            <Tab label="SEC Filings">
              <Feed filters={{keywords: [], symbols: [symbol], channels: [], contentType: ['pr_secfilings']}} />
            </Tab>
            <Tab label="Press Releases">
              <Feed filters={{keywords: [], symbols: [symbol], channels: [], contentType: ['pr_story']}} />
            </Tab>
            <Tab label="BZ Wire">
              <Feed filters={{keywords: [], symbols: [symbol], channels: [], contentType: ['story']}} />
            </Tab>
            <Tab label="Partner News">
              <Feed filters={{keywords: [], symbols: [symbol], channels: [], contentType: ['syndicated_links']}} />
            </Tab>
          </Tabs>
        </section>
      </div>
    );
  }
}

SecurityContentNews.propTypes = {
  symbol: React.PropTypes.string,
};

export default SecurityContentNews;
