import React from 'react';
import { Route, Redirect, IndexRoute, browserHistory } from 'react-router';

import Site from './components/Site';
import App from './components/App';

import Popout from './components/ui/Popout';

// Home Routes
import Index from './components/home/Index';
import Pricing from './components/home/Pricing';
import Squawk from './components/home/Squawk';
import Calendar from './components/home/Calendar';

// Preference components
import Preferences from './components/user/preferences/Preferences';
import Account from './components/user/preferences/Account';
import Alerts from './components/user/preferences/Alerts';
import Billing from './components/user/preferences/Billing';
import Store from './components/user/preferences/Store';

// Pages
import Login from './components/user/Login';
import Checkout from './components/user/Checkout';

export default (
  <Route path="/" component={Site}>
    <IndexRoute component={Index} />
    <Route path="pricing/" component={Pricing} />
    <Route path="squawk/" component={Squawk} />
    <Route path="calendar/" component={Calendar} />
    <Route path="login/" component={Login} />
    <Route path="dashboard/" component={App}>
      <Route path="preferences/" component={Preferences}>
        <IndexRoute component={Alerts} />
        <Route path="alerts/" component={Alerts} />
        <Route path="billing/" component={Billing} />
        <Route path="store/" component={Store} />
      </Route>
    </Route>
    <Route path="popout/" component={Popout} />
    <Route path="checkout/:plan/:occurrence/" component={Checkout} />
    <Redirect from="realtime-trading-squawk*" to="squawk/" />
    <Redirect from="live-trading-calendar*" to="calendar/" />
    <Redirect from="*" to="login/" />
  </Route>
);
